SDL_GPUVulkanOptions Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

Uint32 | vulkan_api_version
void * | feature_list
void * | vulkan_10_physical_device_features
Uint32 | device_extension_count
const char ** | device_extension_names
Uint32 | instance_extension_count
const char ** | instance_extension_names

## Detailed Description

A structure specifying additional options when using Vulkan.

When no such structure is provided, SDL will use Vulkan API version 1.0 and a minimal set of features. The requested API version influences how the feature_list is processed by SDL. When requesting API version 1.0, the feature_list is ignored. Only the vulkan_10_physical_device_features and the extension lists are used. When requesting API version 1.1, the feature_list is scanned for feature structures introduced in Vulkan 1.1. When requesting Vulkan 1.2 or higher, the feature_list is additionally scanned for compound feature structs such as VkPhysicalDeviceVulkan11Features. The device and instance extension lists, as well as vulkan_10_physical_device_features, are always processed.

Since
  This struct is available since SDL 3.4.0.

Definition at line 2402 of file SDL_gpu.h.

## Field Documentation

## device_extension_count

Uint32 SDL_GPUVulkanOptions::device_extension_count

Number of additional device extensions to require.

Definition at line 2407 of file SDL_gpu.h.

## device_extension_names

const char** SDL_GPUVulkanOptions::device_extension_names

Pointer to a list of additional device extensions to require.

Definition at line 2408 of file SDL_gpu.h.

## feature_list

void* SDL_GPUVulkanOptions::feature_list

Pointer to the first element of a chain of Vulkan feature structs. (Requires API version 1.1 or higher.)

Definition at line 2405 of file SDL_gpu.h.

## instance_extension_count

Uint32 SDL_GPUVulkanOptions::instance_extension_count

Number of additional instance extensions to require.

Definition at line 2409 of file SDL_gpu.h.

## instance_extension_names

const char** SDL_GPUVulkanOptions::instance_extension_names

Pointer to a list of additional instance extensions to require.

Definition at line 2410 of file SDL_gpu.h.

## vulkan_10_physical_device_features

void* SDL_GPUVulkanOptions::vulkan_10_physical_device_features

Pointer to a VkPhysicalDeviceFeatures struct to enable additional Vulkan 1.0 features.

Definition at line 2406 of file SDL_gpu.h.

## vulkan_api_version

Uint32 SDL_GPUVulkanOptions::vulkan_api_version

The Vulkan API version to request for the instance. Use Vulkan's VK_MAKE_VERSION or VK_MAKE_API_VERSION.

Definition at line 2404 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h